{
    "$schema": "./node_modules/@angular/cli/lib/config/schema.json",
    "project": {
        "name": "typer"
    },
    "apps": [{
        "root": "src/main/webapp",
        "outDir": "build/www/app",
        "assets": [
            "content",
            "i18n",
            "favicon.ico"
        ],
        "index": "index.html",
        "main": "app/app.main.ts",
        "polyfills": "app/polyfills.ts",
        "test": "src/test/javascript/spec/entry.ts",
        "tsconfig": "../../../tsconfig.json",
        "prefix": "jhi",
        "mobile": false,
        "styles": [
            "content/scss/vendor.scss",
            "content/scss/global.scss"
        ],
        "scripts": []
    }],
    "e2e": {
        "protractor": {
            "config": "src/test/javascript/protractor.conf.js"
        }
    },
    "lint": [{
            "project": "../../../tsconfig.json"
        },
        {
            "project": "../../../tsconfig-aot.json"
        }
    ],
    "test": {
        "karma": {
            "config": "src/test/javascript/karma.conf.js"
        }
    },
    "defaults": {
        "styleExt": "scss",
        "prefixInterfaces": false,
        "component" : {
            "inlineStyle" : true,
            "inlineTemplate": false,
            "spec": false
        },
        "directive" : {
            "spec": false
        },
        "guard" : {
            "spec": false
        },
        "pipe" : {
            "spec": false
        },
        "service" : {
            "spec": false
        }
    },
    "packageManager": "yarn"
}
